# Key Contributions:

You might ask, why 'another' HRV toolbox? The following is a list of key contributions this toolbox and 
accompanying publication makes to the field, and why you might want to use this in preference to other 
toolboxes and software out there.

* A full suite of waveform processing tools, for end-to-end processing
* Detailed explanations of preprocessing and parameter choices to identify where divergences in methods can occur, and to provide standardization in the field
* Benchmarked against other open source HRV tools to identify when they disagree with each other
* Benchmarked against PhysioNet's C code for compatibility, and hence can be used as a prototyping platform before switching to C for large scalable tasks or embedded systems
* A mostly comprehensive collection of standard and more recent HRV tools that go beyond other toolboxes
* Fully scriptable with no libraries outside Matlab required for reading data and annotations
* Fully WFDB-compatible
* Compatibility with commercial software often used by clinicians (e.g. Kubios)
* Open source and versioned on Github so the community may build upon it. 
